例外処理(try, except, finally)

例外の捕捉

try:
  # 例外が発生する可能性のある処理
except: #例外すべて
  # 例外発生時の処理

例外オブジェクトの指定

try:
  # 例外が発生する可能性のある処理
except HogeError, e: #HogeErrorの捕捉
  # 例外発生時の処理

例外に捕捉されなかったら else

try:
  # 例外が発生する可能性のある処理
except:
  # 例外発生時の処理
else:
  # 例外発生しなかったら

tryの後ろに書くのとほぼ同等だが、try~exceptで保護したいコードを間違って補足するということを避けられるので、保護したいコードと明示的に分離するのにelse節に書くほうがよい。

コードによる例外の発生 raise

try:
  raise NameError('Foo'(  #NameErrorを引数'Foo'で創出
except NameError, ne:
  print "Name Error! " + ne.args[0]

発生してもしなくて必ず通る処理 finally

try:
  #例外発生するかもしれない処理
finally:
  #例外発生してもしなくても通る処理
関連記事:

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

日本語が含まれない投稿は無視されますのでご注意ください。(スパム対策)